//预出库api
import request from '@/utils/request'
//获取施工单版列表预出库使用
export function getPrintBreedList(data) {
  return request({
    url: '/printbill/getPrintBreedList',
    method: 'post',
    params: data
  })
}
//预出库锁定版
export function lockPreOutPrintBreed(data) {
  return request({
    url: '/printbill/lockPreOutPrintBreed',
    method: 'post',
    params: data
  })
}
//预出库解锁版
export function unlockPreOutPrintBreed(data) {
  return request({
    url: '/printbill/unlockPreOutPrintBreed',
    method: 'post',
    params: data
  })
}
//预出库完成处理
export function completePreOutStockV2(data) {
  return request({
    url: '/printbill/completePreOutStockV2',
    method: 'post',
    params: data
  })
}
//预出库生成请购并完成处理
export function preOutPurchaseRequestV2(data) {
  return request({
    url: '/printbill/preOutPurchaseRequestV2',
    method: 'post',
    params: data
  })
}
